Index: trunk/src/world_entities/bsp_entity.cc
===================================================================
--- trunk/src/world_entities/bsp_entity.cc	(revision 9298)
+++ trunk/src/world_entities/bsp_entity.cc	(revision 9406)
@@ -1,12 +1,12 @@
 /*
    orxonox - the future of 3D-vertical-scrollers
- 
+
    Copyright (C) 2004 orx
- 
+
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
- 
+
    ### File Specific:
    main-programmer: Claudio Botta
@@ -53,7 +53,7 @@
 
   this->bspManager = NULL;
- 
+
   this->name_handle = registerVarId( new SynchronizeableString( &this->name, &this->name_write, "name" ) );
-  
+
   this->setSynchronized( true );
 }
@@ -63,5 +63,5 @@
 {
   PRINTF(0)("+++++++++++ LOADING NAME %s\n", name.c_str());
-  
+
   this->name = name;
 
Index: trunk/src/world_entities/camera.cc
===================================================================
--- trunk/src/world_entities/camera.cc	(revision 9298)
+++ trunk/src/world_entities/camera.cc	(revision 9406)
@@ -17,4 +17,5 @@
 #include "camera.h"
 #include "key_mapper.h"
+#include "glincl.h"
 
 /**
Index: trunk/src/world_entities/character_attributes.cc
===================================================================
--- trunk/src/world_entities/character_attributes.cc	(revision 9298)
+++ trunk/src/world_entities/character_attributes.cc	(revision 9406)
@@ -20,5 +20,5 @@
 #include "stdincl.h" 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/creatures/fps_player.cc
===================================================================
--- trunk/src/world_entities/creatures/fps_player.cc	(revision 9298)
+++ trunk/src/world_entities/creatures/fps_player.cc	(revision 9406)
@@ -276,5 +276,5 @@
 //     if( target != NULL)
 //     {
-//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassName());
+//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassCName());
 //     }
 //     else
@@ -287,5 +287,5 @@
   //dealing damage
 
-  if ( State::isOnline() && SharedNetworkData::getInstance()->isGameServer() )
+  if ( State::isOnline() && (SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer()))
   {
     this->damageTicker -= time;
@@ -299,5 +299,5 @@
       if ( victim )
       {
-        PRINTF(0)("FIRE: hit %s\n", victim->getClassName());
+        PRINTF(0)("FIRE: hit %s\n", victim->getClassCName());
         victim->hit( 20, this );
       }
Index: trunk/src/world_entities/effects/billboard.cc
===================================================================
--- trunk/src/world_entities/effects/billboard.cc	(revision 9298)
+++ trunk/src/world_entities/effects/billboard.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/effects/explosion.cc
===================================================================
--- trunk/src/world_entities/effects/explosion.cc	(revision 9298)
+++ trunk/src/world_entities/effects/explosion.cc	(revision 9406)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Explosion, CL_EXPLOSION);
Index: trunk/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- trunk/src/world_entities/effects/lightning_bolt.cc	(revision 9298)
+++ trunk/src/world_entities/effects/lightning_bolt.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(LightningBolt, CL_LIGHTNING_BOLT);
Index: trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 9298)
+++ trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 9406)
@@ -17,4 +17,6 @@
 
 #include "glgui_energywidget.h"
+
+#include "multi_type.h"
 
 namespace OrxGui
Index: trunk/src/world_entities/elements/image_entity.cc
===================================================================
--- trunk/src/world_entities/elements/image_entity.cc	(revision 9298)
+++ trunk/src/world_entities/elements/image_entity.cc	(revision 9406)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/elements/text_element.cc
===================================================================
--- trunk/src/world_entities/elements/text_element.cc	(revision 9298)
+++ trunk/src/world_entities/elements/text_element.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environment.cc
===================================================================
--- trunk/src/world_entities/environment.cc	(revision 9298)
+++ trunk/src/world_entities/environment.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 CREATE_FACTORY(Environment, CL_ENVIRONMENT);
 
Index: trunk/src/world_entities/environments/building.cc
===================================================================
--- trunk/src/world_entities/environments/building.cc	(revision 9298)
+++ trunk/src/world_entities/environments/building.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environments/mapped_water.cc
===================================================================
--- trunk/src/world_entities/environments/mapped_water.cc	(revision 9298)
+++ trunk/src/world_entities/environments/mapped_water.cc	(revision 9406)
@@ -374,5 +374,5 @@
         waterColorR->setValue(this->waterColor.x);
         waterColorR->setStep(0.1f);
-        waterColorR->connect(SIGNAL(waterColorR, valueChanged), this, SLOT(MappedWater, resetWaterColorR));
+        waterColorR->valueChanged.connect(this, &MappedWater::resetWaterColorR);
         waterColorBox->pack(waterColorR);
 
@@ -381,5 +381,5 @@
         waterColorG->setStep(0.1f);
         waterColorG->setValue(this->waterColor.y);
-        waterColorG->connect(SIGNAL(waterColorG, valueChanged), this, SLOT(MappedWater, resetWaterColorG));
+        waterColorG->valueChanged.connect(this, &MappedWater::resetWaterColorG);
         waterColorBox->pack(waterColorG);
 
@@ -388,5 +388,5 @@
         waterColorB->setStep(0.1f);
         waterColorB->setValue(this->waterColor.z);
-        waterColorB->connect(SIGNAL(waterColorB, valueChanged), this, SLOT(MappedWater, resetWaterColorB));
+        waterColorB->valueChanged.connect(this, &MappedWater::resetWaterColorB);
         waterColorBox->pack(waterColorB);
       }
@@ -403,5 +403,5 @@
         waterUV->setValue(this->waterUV);
         waterUV->setStep(1);
-        waterUV->connect(SIGNAL(waterUV, valueChanged), this, SLOT(MappedWater, setWaterUV));
+        waterUV->valueChanged.connect(this, &MappedWater::setWaterUV);
         waterUVBox->pack(waterUV);
       }
@@ -418,5 +418,5 @@
         waterFlow->setValue(this->waterFlow);
         waterFlow->setStep(0.02f);
-        waterFlow->connect(SIGNAL(waterFlow, valueChanged), this, SLOT(MappedWater, setWaterFlow));
+        waterFlow->valueChanged.connect(this, &MappedWater::setWaterFlow);
         waterFlowBox->pack(waterFlow);
       }
@@ -433,5 +433,5 @@
         shineSize->setValue(this->shineSize);
         shineSize->setStep(1);
-        shineSize->connect(SIGNAL(shineSize, valueChanged), this, SLOT(MappedWater, resetShineSize));
+        shineSize->valueChanged.connect(this, &MappedWater::resetShineSize);
         shineSizeBox->pack(shineSize);
       }
@@ -448,5 +448,5 @@
         shineStrength->setValue(this->shineStrength);
         shineStrength->setStep(0.1f);
-        shineStrength->connect(SIGNAL(shineStrength, valueChanged), this, SLOT(MappedWater, resetShineStrength));
+        shineStrength->valueChanged.connect(this, &MappedWater::resetShineStrength);
         shineStrengthBox->pack(shineStrength);
       }
@@ -463,5 +463,5 @@
         reflStrength->setValue(this->reflStrength);
         reflStrength->setStep(0.1f);
-        reflStrength->connect(SIGNAL(reflStrength, valueChanged), this, SLOT(MappedWater, resetReflStrength));
+        reflStrength->valueChanged.connect(this, &MappedWater::resetReflStrength);
         reflStrengthBox->pack(reflStrength);
       }
@@ -478,5 +478,5 @@
         refraction->setValue(this->refraction);
         refraction->setStep(0.004f);
-        refraction->connect(SIGNAL(refraction, valueChanged), this, SLOT(MappedWater, resetRefraction));
+        refraction->valueChanged.connect(this, &MappedWater::resetRefraction);
         refractionBox->pack(refraction);
       }
@@ -493,5 +493,5 @@
         lightPosX->setValue(this->lightPos.x);
         lightPosX->setStep(15);
-        lightPosX->connect(SIGNAL(lightPosX, valueChanged), this, SLOT(MappedWater, resetLightPosX));
+        lightPosX->valueChanged.connect(this, &MappedWater::resetLightPosX);
         lightPosBox->pack(lightPosX);
 
@@ -500,5 +500,5 @@
         lightPosY->setStep(15);
         lightPosY->setValue(this->lightPos.y);
-        lightPosY->connect(SIGNAL(lightPosY, valueChanged), this, SLOT(MappedWater, resetLightPosY));
+        lightPosY->valueChanged.connect(this, &MappedWater::resetLightPosY);
         lightPosBox->pack(lightPosY);
 
@@ -507,5 +507,5 @@
         lightPosZ->setStep(15);
         lightPosZ->setValue(this->lightPos.z);
-        lightPosZ->connect(SIGNAL(lightPosZ, valueChanged), this, SLOT(MappedWater, resetLightPosZ));
+        lightPosZ->valueChanged.connect(this, &MappedWater::resetLightPosZ);
         lightPosBox->pack(lightPosZ);
       }
@@ -522,5 +522,5 @@
         waterHeight->setValue(this->waterHeight);
         waterHeight->setStep(4);
-        waterHeight->connect(SIGNAL(waterHeight, valueChanged), this, SLOT(MappedWater, setWaterHeight));
+        waterHeight->valueChanged.connect(this, &MappedWater::setWaterHeight);
         waterHeightBox->pack(waterHeight);
       }
Index: trunk/src/world_entities/environments/model_entity.cc
===================================================================
--- trunk/src/world_entities/environments/model_entity.cc	(revision 9298)
+++ trunk/src/world_entities/environments/model_entity.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environments/water.cc
===================================================================
--- trunk/src/world_entities/environments/water.cc	(revision 9298)
+++ trunk/src/world_entities/environments/water.cc	(revision 9406)
@@ -32,5 +32,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Water, CL_WATER);
Index: trunk/src/world_entities/items/item_container.cc
===================================================================
--- trunk/src/world_entities/items/item_container.cc	(revision 9298)
+++ trunk/src/world_entities/items/item_container.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "item_container.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/movie_entity.cc
===================================================================
--- trunk/src/world_entities/movie_entity.cc	(revision 9298)
+++ trunk/src/world_entities/movie_entity.cc	(revision 9406)
@@ -20,5 +20,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(MovieEntity, CL_MOVIE_ENTITY);
Index: trunk/src/world_entities/npcs/door.cc
===================================================================
--- trunk/src/world_entities/npcs/door.cc	(revision 9298)
+++ trunk/src/world_entities/npcs/door.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/gate.cc
===================================================================
--- trunk/src/world_entities/npcs/gate.cc	(revision 9298)
+++ trunk/src/world_entities/npcs/gate.cc	(revision 9406)
@@ -31,5 +31,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/ground_turret.cc
===================================================================
--- trunk/src/world_entities/npcs/ground_turret.cc	(revision 9298)
+++ trunk/src/world_entities/npcs/ground_turret.cc	(revision 9406)
@@ -31,5 +31,5 @@
 CREATE_FACTORY(GroundTurret, CL_GROUND_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/repair_station.cc
===================================================================
--- trunk/src/world_entities/npcs/repair_station.cc	(revision 9298)
+++ trunk/src/world_entities/npcs/repair_station.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/planet.cc
===================================================================
--- trunk/src/world_entities/planet.cc	(revision 9298)
+++ trunk/src/world_entities/planet.cc	(revision 9406)
@@ -30,5 +30,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/playable.cc
===================================================================
--- trunk/src/world_entities/playable.cc	(revision 9298)
+++ trunk/src/world_entities/playable.cc	(revision 9406)
@@ -148,5 +148,5 @@
     if (weapon != NULL)
       PRINTF(2)("Unable to add Weapon (%s::%s) to %s::%s\n",
-                weapon->getClassName(), weapon->getName(), this->getClassName(), this->getName());
+                weapon->getClassCName(), weapon->getCName(), this->getClassCName(), this->getCName());
     else
       PRINTF(2)("No weapon defined\n");
@@ -361,28 +361,4 @@
   }
 }
-/**
- * @brief helps us colliding Playables
- * @param entity the Entity to collide
- * @param location where the collision occured.
- */
-void Playable::collidesWith(WorldEntity* entity, const Vector& location)
-{
-  if (entity == collider)
-    return;
-  collider = entity;
-
-  if ( entity->isA(CL_PROJECTILE) && ( !State::isOnline() || SharedNetworkData::getInstance()->isGameServer() ) )
-  {
-    this->decreaseHealth(entity->getHealth() *(float)rand()/(float)RAND_MAX);
-    // EXTREME HACK
-    if (this->getHealth() <= 0.0f)
-    {
-//       this->destory();
-
-      if( State::getGameRules() != NULL)
-        State::getGameRules()->registerKill(Kill(entity, this));
-    }
-  }
-}
 
 
@@ -413,5 +389,5 @@
     }
     this->bDead = true;
-    
+
     if( State::getGameRules() != NULL)
       State::getGameRules()->registerKill(Kill(killer, this));
Index: trunk/src/world_entities/playable.h
===================================================================
--- trunk/src/world_entities/playable.h	(revision 9298)
+++ trunk/src/world_entities/playable.h	(revision 9406)
@@ -82,5 +82,4 @@
   virtual void destroy(WorldEntity* killer);
   virtual void respawn();
-  virtual void collidesWith(WorldEntity* entity, const Vector& location);
   virtual void process(const Event &event);
   virtual void tick(float dt);
@@ -90,5 +89,5 @@
   static const std::string& playmodeToString(Playable::Playmode playmode);
   static const std::string playmodeNames[];
-  
+
   inline bool beFire(){ return this->bFire; }
   inline void fire(bool bF){ this->bFire = bF;}
Index: trunk/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 9298)
+++ trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(LaserPowerUp, CL_LASER_POWER_UP);
@@ -78,5 +78,5 @@
 void LaserPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
   this->toList(OM_DEAD);
Index: trunk/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/param_power_up.cc	(revision 9298)
+++ trunk/src/world_entities/power_ups/param_power_up.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(ParamPowerUp, CL_PARAM_POWER_UP);
Index: trunk/src/world_entities/power_ups/power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/power_up.cc	(revision 9298)
+++ trunk/src/world_entities/power_ups/power_up.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 PowerUp::PowerUp(float r, float g, float b)
@@ -85,9 +85,9 @@
     if (this->pickupBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getCName());
     }
   }
@@ -106,9 +106,9 @@
     if (this->respawnBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getCName());
     }
   }
Index: trunk/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 9298)
+++ trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(TurretPowerUp, CL_TURRET_POWER_UP);
@@ -74,5 +74,5 @@
 void TurretPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
    this->toList(OM_DEAD);
Index: trunk/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 9298)
+++ trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(WeaponPowerUp, CL_WEAPON_POWER_UP);
Index: trunk/src/world_entities/projectiles/laser.cc
===================================================================
--- trunk/src/world_entities/projectiles/laser.cc	(revision 9298)
+++ trunk/src/world_entities/projectiles/laser.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Laser, CL_LASER);
Index: trunk/src/world_entities/projectiles/projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/projectile.cc	(revision 9298)
+++ trunk/src/world_entities/projectiles/projectile.cc	(revision 9406)
@@ -75,9 +75,9 @@
     if (this->explosionBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getCName());
     }
   }
@@ -97,9 +97,9 @@
     if (this->engineBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getCName());
     }
   }
Index: trunk/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/rail_projectile.cc	(revision 9298)
+++ trunk/src/world_entities/projectiles/rail_projectile.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(RailProjectile, CL_RAIL_PROJECTILE);
Index: trunk/src/world_entities/recorder.cc
===================================================================
--- trunk/src/world_entities/recorder.cc	(revision 9298)
+++ trunk/src/world_entities/recorder.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Recorder, CL_RECORDER);
Index: trunk/src/world_entities/satellite.cc
===================================================================
--- trunk/src/world_entities/satellite.cc	(revision 9298)
+++ trunk/src/world_entities/satellite.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/script_trigger.cc
===================================================================
--- trunk/src/world_entities/script_trigger.cc	(revision 9298)
+++ trunk/src/world_entities/script_trigger.cc	(revision 9406)
@@ -63,22 +63,22 @@
   addToScript = false;
   this->activeOnCreation = false;
-  
+
   if(root != NULL)
   {
-    
+
     loadParams(root);
-  
+
     if(addToScript && scriptIsOk)
     {
       script->addObject( "ScriptTrigger", this->getName());
     }
-  
-  }
-  
+
+  }
+
 }
 
 /**
  * Deletes the ScriptTrigger.
- * 
+ *
  */
 ScriptTrigger::~ScriptTrigger()
@@ -147,5 +147,5 @@
   else
   {
-    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -153,5 +153,5 @@
 /**
  * Sets the parent of the trigger.
- * @param parent The parrent. 
+ * @param parent The parrent.
  */
 void ScriptTrigger::setTriggerParent(const std::string& parent)
@@ -166,5 +166,5 @@
   else
   {
-    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -179,5 +179,5 @@
      return;
    }
-   
+
   if(triggerRemains && scriptCalled)
   {
@@ -185,5 +185,5 @@
     return;
   }
-  
+
   if( !invert && this->distance(target) < radius)
   {
@@ -191,9 +191,9 @@
     scriptCalled = true;
     return;
-  
+
   }
   else if( invert && this->distance(target) > radius)
   {
-    executeAction(timestep); 
+    executeAction(timestep);
     scriptCalled = true;
     return;
@@ -207,5 +207,5 @@
 void ScriptTrigger::executeAction(float timestep)
 {
-  
+
   if(scriptIsOk)
   {
@@ -213,14 +213,14 @@
     if(!(script->selectFunction(this->functionName,returnCount)) )
       PRINT(1)("Error ScriptTrigger: Selection of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     script->pushParam( timestep, this->functionName);
-     
+
     if( !(script->executeFunction()) )
       PRINT(1)("Error ScriptTrigger: Execution of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     scriptFinished = script->getReturnedBool();
   }
-     
-     
+
+
 }
 
@@ -268,5 +268,5 @@
    float retf = script->getReturnedFloat();
    printf("main returned %f\n",retf);
-   
+
 
    printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
Index: trunk/src/world_entities/skybox.cc
===================================================================
--- trunk/src/world_entities/skybox.cc	(revision 9298)
+++ trunk/src/world_entities/skybox.cc	(revision 9406)
@@ -30,5 +30,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SkyBox, CL_SKYBOX);
Index: trunk/src/world_entities/skydome.cc
===================================================================
--- trunk/src/world_entities/skydome.cc	(revision 9298)
+++ trunk/src/world_entities/skydome.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #define SQR(x) (x*x)
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/skysphere.cc
===================================================================
--- trunk/src/world_entities/skysphere.cc	(revision 9298)
+++ trunk/src/world_entities/skysphere.cc	(revision 9406)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- trunk/src/world_entities/space_ships/collision_probe.cc	(revision 9298)
+++ trunk/src/world_entities/space_ships/collision_probe.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(CollisionProbe, CL_COLLISION_PROBE);
Index: trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- trunk/src/world_entities/space_ships/space_ship.cc	(revision 9298)
+++ trunk/src/world_entities/space_ships/space_ship.cc	(revision 9406)
@@ -52,5 +52,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SpaceShip, CL_SPACE_SHIP);
@@ -314,10 +314,10 @@
   if( entity->isA(CL_PROJECTILE) && entity != ref)
   {
-    if ( isServer() )
+    if ( SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
     {
       //TODO handle this
     }
   }
-  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
Index: trunk/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9298)
+++ trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9406)
@@ -324,5 +324,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
@@ -474,5 +474,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
Index: trunk/src/world_entities/spawning_point.cc
===================================================================
--- trunk/src/world_entities/spawning_point.cc	(revision 9298)
+++ trunk/src/world_entities/spawning_point.cc	(revision 9406)
@@ -31,4 +31,8 @@
 #include "shared_network_data.h"
 
+
+/// TODO REMOVE converter.h
+#include "converter.h"
+
 CREATE_FACTORY( SpawningPoint, CL_SPAWNING_POINT );
 
@@ -41,5 +45,5 @@
 
   this->init();
-  
+
   if (root != NULL)
     this->loadParams(root);
@@ -50,12 +54,12 @@
   this->setClassID(CL_SPAWNING_POINT, "SpawningPoint");
   PRINTF(0)("Created SpawningPoint\n");
-  
+
   this->teamId = -1;
   this->localTimer = 0.0f;
-  
+
   this->toList( OM_DEAD_TICK );
-  
+
   MessageManager::getInstance()->registerMessageHandler( MSGID_RESPAWN, respawnMessageHandler, NULL );
-  
+
   this->setSynchronized( true );
 }
@@ -94,5 +98,5 @@
   qe.entity = entity;
   qe.respawnTime = this->localTimer + delay;
-  
+
   queue.push_back( qe );
 }
@@ -105,10 +109,10 @@
 {
   const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYABLE );
-  
+
   bool found = false;
-  
+
   if ( !list )
     return;
-    
+
   for ( std::list<BaseObject*>::const_iterator it = list->begin(); it != list->end(); it++ )
   {
@@ -119,21 +123,21 @@
     }
   }
-  
+
   if ( !found )
     return;
 
-  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassName());
+  PRINTF(0)("Spawningpoint spawns Entity (%s)\n", entity->getClassCName());
 
 
   entity->setAbsCoor( this->getAbsCoor() );
   entity->setAbsDir( this->getAbsDir() );
-  
+
   //TODO set camera (not smooth)
-  
+
   if ( State::getGameRules() )
   {
     (State::getGameRules())->registerSpawn( entity );
   }
-  
+
   entity->respawn();
 }
@@ -157,12 +161,12 @@
       //spawn the player
       this->spawn(it->entity);
-      
+
       const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYABLE );
-  
+
       bool found = false;
-  
+
       if ( !list )
         return;
-    
+
       for ( std::list<BaseObject*>::const_iterator it2 = list->begin(); it2 != list->end(); it2++ )
       {
@@ -173,16 +177,16 @@
         }
       }
-  
-      if ( found && SharedNetworkData::getInstance()->isGameServer() )
+
+      if ( found && SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
         this->sendRespawnMessage( it->entity->getUniqueID() );
 
       std::list<QueueEntry>::iterator delit = it;
       it++;
-      
+
       queue.erase( delit );
-      
+
       continue;
     }
-    
+
     it++;
   }
@@ -203,9 +207,10 @@
 void SpawningPoint::sendRespawnMessage( int uniqueId )
 {
+#warning this byte array is not being deleted according to valginrd
   byte * buf = new byte[2*INTSIZE];
-  
+
   assert( Converter::intToByteArray( this->getUniqueID(), buf, INTSIZE ) == INTSIZE );
   assert( Converter::intToByteArray( uniqueId, buf + INTSIZE, INTSIZE ) == INTSIZE );
-  
+
   MessageManager::getInstance()->sendMessage( MSGID_RESPAWN, buf, 2*INTSIZE, RT_ALL_NOT_ME, 0, MP_HIGHBANDWIDTH );
 }
@@ -213,13 +218,13 @@
 bool SpawningPoint::respawnMessageHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId )
 {
-  if ( SharedNetworkData::getInstance()->isGameServer() )
+  if ( SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
   {
     PRINTF(2)("server received spawn message!\n");
     return true;
   }
-    
+
   int spUniqueId;
   int uniqueId;
-  
+
   if ( dataLength != 2*INTSIZE )
   {
@@ -227,15 +232,15 @@
     return true;
   }
-  
+
   assert( Converter::byteArrayToInt( data, &spUniqueId ) == INTSIZE );
   assert( Converter::byteArrayToInt( data+INTSIZE, &uniqueId ) == INTSIZE );
-  
+
   PRINTF(0)("SPAWNMESSAGE %d\n", uniqueId);
-  
+
   SpawningPoint * sp = NULL;
   Playable      * playable = NULL;
-  
+
   const std::list<BaseObject*> * list = ClassList::getList( CL_SPAWNING_POINT );
-  
+
   if ( list )
   {
@@ -250,5 +255,5 @@
     }
   }
-  
+
   if ( !sp )
   {
@@ -256,7 +261,7 @@
     return false;
   }
-  
+
   list = ClassList::getList( CL_PLAYABLE );
-  
+
   if ( list )
   {
@@ -270,5 +275,5 @@
     }
   }
-  
+
   if ( !playable )
   {
@@ -276,7 +281,7 @@
     return false;
   }
-  
+
   sp->spawn( playable );
-  
+
   return true;
 }
Index: trunk/src/world_entities/spectator.cc
===================================================================
--- trunk/src/world_entities/spectator.cc	(revision 9298)
+++ trunk/src/world_entities/spectator.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 9298)
+++ trunk/src/world_entities/terrain.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Terrain, CL_TERRAIN);
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 9298)
+++ trunk/src/world_entities/test_entity.cc	(revision 9406)
@@ -33,5 +33,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/aim.cc
===================================================================
--- trunk/src/world_entities/weapons/aim.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/aim.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "world_entity.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/aiming_system.cc
===================================================================
--- trunk/src/world_entities/weapons/aiming_system.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/aiming_system.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
@@ -91,5 +91,5 @@
 
 
-  for( int i = 0; i < this->selectionList.size(); i++)
+  for(unsigned int i = 0; i < this->selectionList.size(); i++)
   {
     distance = fabs((this->getAbsCoor() - this->selectionList[i]->getAbsCoor()).len());
@@ -101,5 +101,5 @@
   }
 
-  PRINTF(0)("entity: %s\n", nearestEntity->getClassName());
+  PRINTF(0)("entity: %s\n", nearestEntity->getClassCName());
     return nearestEntity;
 }
@@ -115,5 +115,5 @@
   if( this->owner != killer)
   {
-    //PRINTF(0)("real hit: %s\n", killer->getClassName());
+    //PRINTF(0)("real hit: %s\n", killer->getClassCName());
     this->selectionList.push_back(killer);
   }
Index: trunk/src/world_entities/weapons/aiming_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/aiming_turret.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/aiming_turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(AimingTurret, CL_AIMING_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/ammo_container.cc
===================================================================
--- trunk/src/world_entities/weapons/ammo_container.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/ammo_container.cc	(revision 9406)
@@ -22,5 +22,5 @@
 #include <assert.h>
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/weapons/cannon.cc
===================================================================
--- trunk/src/world_entities/weapons/cannon.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/cannon.cc	(revision 9406)
@@ -35,5 +35,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Cannon, CL_CANNON);
Index: trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- trunk/src/world_entities/weapons/crosshair.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/crosshair.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "material.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 9406)
@@ -36,5 +36,5 @@
 #include "effects/explosion.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- trunk/src/world_entities/weapons/hyperblaster.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/hyperblaster.cc	(revision 9406)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(Hyperblaster, CL_HYPERBLASTER);
Index: trunk/src/world_entities/weapons/targeting_turret.cc
===================================================================
--- trunk/src/world_entities/weapons/targeting_turret.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/targeting_turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(TargetingTurret, CL_TARGETING_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/weapons/turret.cc
===================================================================
--- trunk/src/world_entities/weapons/turret.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/turret.cc	(revision 9406)
@@ -29,5 +29,5 @@
 CREATE_FACTORY(Turret, CL_TURRET);
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 9406)
@@ -36,5 +36,5 @@
 #include "elements/glgui_energywidget.h"
 
-using namespace std;
+
 
 ////////////////////
@@ -199,5 +199,5 @@
   else
   {
-    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getName());
+    PRINTF(1)("Projectile %s does not exist for weapon %s\n", projectile.c_str(), this->getCName());
   }
 }
@@ -213,5 +213,5 @@
     projectileFactory->prepare(count);
   else
-    PRINTF(2)("unable to create %d projectile for Weapon %s (%s)\n", count, this->getName(), this->getClassName());
+    PRINTF(2)("unable to create %d projectile for Weapon %s::%s\n", count, this->getClassCName(), this->getCName());
 }
 
@@ -234,5 +234,5 @@
   else
   {
-    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getName(), this->getClassName());
+    PRINTF(2)("No projectile defined for Weapon %s(%s) can't return any\n", this->getCName(), this->getClassCName());
     return NULL;
   }
@@ -313,5 +313,5 @@
   {
     this->energyWidget = new OrxGui::GLGuiEnergyWidget();
-    this->energyWidget->setDisplayedName(this->getClassName());
+    this->energyWidget->setDisplayedName(this->getClassCName());
     this->energyWidget->setSize2D( 20, 100);
     this->energyWidget->setMaximum(this->getEnergyMax());
@@ -442,5 +442,5 @@
     this->updateWidgets();
     // activate
-    PRINTF(4)("Activating the Weapon %s\n", this->getName());
+    PRINTF(4)("Activating the Weapon %s\n", this->getCName());
     this->activate();
     // setting up for next action
@@ -458,5 +458,5 @@
   //  if (this->currentState != WS_INACTIVE)
   {
-    PRINTF(4)("Deactivating the Weapon %s\n", this->getName());
+    PRINTF(4)("Deactivating the Weapon %s\n", this->getCName());
     // play Sound
     if (this->soundBuffers[WA_DEACTIVATE] != NULL)
@@ -527,5 +527,5 @@
 bool Weapon::reloadW()
 {
-  PRINTF(4)("Reloading Weapon %s\n", this->getName());
+  PRINTF(4)("Reloading Weapon %s\n", this->getCName());
   if (this->ammoContainer.get() != NULL &&
       unlikely(this->energy + this->ammoContainer->getStoredEnergy() < this->minCharge))
@@ -632,5 +632,5 @@
 void Weapon::debug() const
 {
-  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
+  PRINT(0)("Weapon-Debug %s, state: %s (duration: %fs), nextAction: %s\n", this->getCName(), Weapon::stateToChar(this->currentState), this->stateDuration, Weapon::actionToChar(requestedAction));
   PRINT(0)("Energy: max: %f; current: %f; chargeMin: %f, chargeMax %f\n",
            this->energyMax, this->energy, this->minCharge, this->maxCharge);
Index: trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon_manager.cc	(revision 9298)
+++ trunk/src/world_entities/weapons/weapon_manager.cc	(revision 9406)
@@ -83,8 +83,8 @@
     // NAMING
     char* tmpName;
-    if (this->getName())
-    {
-      tmpName = new char[strlen(this->getName()) + 10];
-      sprintf(tmpName, "%s_slot%d", this->getName(), i);
+    if (!this->getName().empty())
+    {
+      tmpName = new char[this->getName().size() + 10];
+      sprintf(tmpName, "%s_slot%d", this->getCName(), i);
     }
     else
@@ -265,5 +265,5 @@
   if (configID > 0 && slotID > 0 && this->configs[configID][slotID] != NULL)
   {
-    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getName(), weapon->getClassName(), weapon->getName());
+    PRINTF(3)("Weapon-slot %d/%d of %s already poulated, remove weapon (%s::%s) first\n", configID, slotID, this->getCName(), weapon->getClassCName(), weapon->getCName());
     return false;
   }
@@ -302,5 +302,5 @@
     weapon->setDefaultTarget(this->crosshair);
   }
-  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassName(), weapon->getName(), configID, slotID);
+  PRINTF(3)("Added a new Weapon (%s::%s) to the WeaponManager: config %i/ slot %i\n", weapon->getClassCName(), weapon->getCName(), configID, slotID);
   return true;
 }
@@ -555,6 +555,6 @@
     {
       if (this->configs[i][j] != NULL)
-        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassName());
-    }
-  }
-}
+        PRINT(3)("Slot %d loaded a %s\n", j, this->configs[i][j]->getClassCName());
+    }
+  }
+}
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 9298)
+++ trunk/src/world_entities/world_entity.cc	(revision 9406)
@@ -414,5 +414,5 @@
 bool WorldEntity::registerCollision(WorldEntity* entityA, WorldEntity* entityB, BoundingVolume* bvA, BoundingVolume* bvB)
 {
-  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassName(), entityB->getClassName());
+  PRINTF(5)("registering collision of type: %s vs %s\n", entityA->getClassCName(), entityB->getClassCName());
   // is there any handler listening?
   if( !this->bReactive)
@@ -506,5 +506,5 @@
    * You can always define a default Action.... don't be affraid just test it :)
    */
-  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  //  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
@@ -518,5 +518,5 @@
 void WorldEntity::collidesWithGround(const Vector& location)
 {
-  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassName() );
+  PRINTF(0)("BSP_GROUND: %s collides \n", this->getClassCName() );
 }
 
@@ -524,5 +524,5 @@
 {
 
-  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassName() );
+  // PRINTF(0)("BSP_GROUND: Player collides \n", this->getClassCName() );
 
   Vector v = this->getAbsDirX();
@@ -594,5 +594,5 @@
 void WorldEntity::draw() const
 {
-  //PRINTF(0)("(%s::%s)\n", this->getClassName(), this->getName());
+  //PRINTF(0)("(%s::%s)\n", this->getClassCName(), this->getName());
   //  assert(!unlikely(this->models.empty()));
   {
@@ -676,5 +676,5 @@
   if (this->health > this->healthMax)
   {
-    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassName(), this->getName());
+    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassCName(), this->getCName());
     this->health = this->healthMax;
   }
@@ -699,5 +699,5 @@
   }
   else
-    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassName(), this->getName());
+    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassCName(), this->getCName());
 }
 
@@ -745,5 +745,5 @@
   this->decreaseHealth(damage);
 
-  PRINTF(5)("Hit me: %s now only %f/%f health\n", this->getClassName(), this->getHealth(), this->getHealthMax());
+  PRINTF(5)("Hit me: %s::%s now only %f/%f health\n", this->getClassCName(), this->getCName(), this->getHealth(), this->getHealthMax());
 
   if( this->getHealth() > 0)
@@ -811,5 +811,5 @@
 void WorldEntity::debugEntity() const
 {
-  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassName(), this->getName());
+  PRINT(0)("WorldEntity %s::%s  (DEBUG)\n", this->getClassCName(), this->getCName());
   this->debugNode();
   PRINT(0)("List: %s ; ModelCount %d - ", ObjectManager::OMListToString(this->objectListNumber) , this->models.size());
@@ -817,5 +817,5 @@
   {
     if (models[i] != NULL)
-      PRINT(0)(" : %d:%s", i, this->models[i]->getName());
+      PRINT(0)(" : %d:%s", i, this->models[i]->getCName());
   }
   PRINT(0)("\n");
